#include "hlx_daemon_packet.hh"
#include <stdio.h>

void hlx_daemon_packet::dump() {
  printf("V%x T%x ST%x R%x\n",version(),packetType(),packetSubtype(),retransmitId());
  printf(" Source %d, Histo #%d of set %d\n",sourceid, histogramSeqNo(), histogramSet());
  printf(" from orbit %d (%08x) to orbit %d (%08x)\n",firstOrbit(),firstOrbit(),lastOrbit(),lastOrbit());
  int shortlen=payloadLength()/2;
  for (int i=0; i<shortlen; i++) {
    if ((i%8)==0)  printf("%04d ",i); 
    printf("%04x",data[i]);
    if (((i+1)%8)==0 || i+1==shortlen) printf("\n");
    else printf(" ");
  }
}
